#
# spec file for package libmtp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmtp
Url:            http://sf.net/projects/libmtp
BuildRequires:  doxygen
BuildRequires:  libgcrypt-devel
BuildRequires:  libusb-1_0-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(udev)
Summary:        Commandline utilities for access to MTP Players
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Sound/Players
Version:        1.1.6
Release:        0
%define sonum   9
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
# from git 1a2669c6df6c093aec38c0c99a21438d74ccdf33
Source1:        music-players.h
Patch0:         mtpz-use-LIBMTP_ERROR-instead-of-LIBMTP_INFO.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{!?_udevrulesdir: %global _udevrulesdir %(pkg-config --variable=udevdir udev)/rules.d }
%{!?_udevdir: %global _udevdir %(pkg-config --variable=udevdir udev) }

%description
This package contains binaries and documentation that allow access to
USB based media players based on the MTP (Media Transfer Protocol)
authored by Microsoft.

Common devices using this technology are Creative Zen, iRiver, Samsung
and others.

%package -n %{name}%{sonum}
Summary:        Library for accessing MTP Players
Group:          Productivity/Multimedia/Sound/Players

%description -n %{name}%{sonum}
This package contains the libraries that allow access to USB based media
players based on the MTP (Media Transfer Protocol) authored by
Microsoft.

Common devices using this technology are Creative Zen, iRiver, Samsung
and others.

%package -n mtp-tools
Summary:        Commandline utilities for access to MTP Players
Group:          Productivity/Multimedia/Sound/Players

%description -n mtp-tools
This package contains binaries that allow command line access to USB
based media players based on the MTP (Media Transfer Protocol) authored
by Microsoft. For graphical user interfaces use Amarok or Banshee.

%package devel
Summary:        Development files for access to MTP Player library
Group:          Development/Libraries/Other
Requires:       %{name}%{sonum} = %{version}
Requires:       libusb-devel

%description devel
This package contains the development headers for the libmtp library
that allows access to USB based media players based on the MTP (Media
Transfer Protocol) authored by Microsoft.

%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} src/music-players.h

%build
echo 'HTML_TIMESTAMP=NO' >> doc/Doxyfile.in
%configure --with-udev=%{_udevdir} --disable-static --enable-doxygen
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/
#install -c -m 644 libmtp.fdi $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-usb-music-players-libmtp.fdi
rm -rf %{buildroot}/usr/share/doc/libmtp*
rm -rf %{buildroot}/%{_libdir}/*.la

%post -n   %{name}%{sonum} -p /sbin/ldconfig
%postun -n %{name}%{sonum} -p /sbin/ldconfig

%files -n mtp-tools
%defattr(-, root, root)
%{_prefix}/bin/*

%files -n %{name}%{sonum}
%defattr(-, root, root)
%doc COPYING README ChangeLog AUTHORS
%{_libdir}/lib*.so.*
#%dir /usr/share/hal
#dir /usr/share/hal/fdi
#dir /usr/share/hal/fdi/information
#dir /usr/share/hal/fdi/information/20thirdparty/
#usr/share/hal/fdi/information/20thirdparty/10-usb-music-players-libmtp.fdi
%{_udevdir}/mtp-probe
%{_udevrulesdir}/69-libmtp.rules

%files devel
%defattr(-, root, root)
%doc doc/html TODO
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libmtp.pc
%{_prefix}/include/libmtp.h

%changelog
